from distutils.core import Extension
import numinclude

class NumarrayExtension(Extension):
    def __init__(self, module, sources=None, **keywords):
        if sources is None:
            sources = [module+"module.c"]
        if "include_dirs" not in keywords.keys():
            keywords["include_dirs"] = []
        keywords["include_dirs"].append(numinclude.include_dir)
        Extension.__init__(self, module, sources, **keywords)




