#! /usr/bin/env python 

import numarray
import convolve
import sys

def test():

    # k = numarray.array(l)
    k = numarray.array([1., 2., 1.])

    print
    print "Unconverted data, Unconverted Output"
    x = numarray.arange(10.)
    z = x.copy()
    convolve.Convolve1d(k,x,z)
    print x, "*", k
    print z
    
    print
    print "Converted data, Unconverted Output"
    x = numarray.arange(10)
    z = x.astype(numarray.Float64)
    convolve.Convolve1d(k,x,z)
    print x, "*", k
    print z
    
    print
    print "Unconverted data, Converted Output"
    x = numarray.arange(10.)
    z = x.astype(numarray.Int32)
    convolve.Convolve1d(k,x,z)
    print x, "*", k
    print z
    
    print
    print "Converted data, Converted Output"
    x = numarray.arange(10)
    z = x.copy()
    convolve.Convolve1d(k,x,z)
    print x, "*", k
    print z
    
    print
    print "Unconverted data, no output"
    x = numarray.arange(10.)
    print x, "*", k
    print convolve.Convolve1d(k,x)
        
    print
    print "Converted data, no output"
    x = numarray.arange(10)
    print x, "*", k
    print convolve.Convolve1d(k,x)
    
    print
    print "2d convolve 10x10 by 5,5"
    x=numarray.reshape(numarray.arange(100),10,10)
    x = numarray.zeros((10,10), numarray.Int32)
    x += 1
    k = numarray.zeros((5,5), numarray.Float64)
    k += 0.25
    z = x.copy()
    
    k[1,1] = 0.5
    k[2,1] = 0.5
    k[3,1] = 0.5
    
    k[1,2] = 0.5
    k[2,2] = 1
    k[3,2] = 0.5
    
    k[1,3] = 0.5
    k[2,3] = 0.5
    k[3,3] = 0.5
    
    convolve.Convolve2d(k, x, z)
    print x
    print "*"
    print k
    print "="
    print z
    print numarray.add.reduce(numarray.add.reduce(k))

if __name__ == "__main__":
    # l = map(eval, sys.argv[1:])
    # test(l);
    test()
    
